/* FILE: nb.h                    -*-Mode: c++-*-
 *
 *	The OOMMF Nuts & Bolts extension public header file.
 *
 * NOTICE: Please see the file ../../LICENSE
 *
 * Last modified on: $Date: 1999/04/26 06:25:55 $
 * Last modified by: $Author: donahue $
 */

#ifndef _NB
#define _NB

// Version information
#include "version.h"
#include "oc.h"
#define NB_VERSION OC_MAKE_VERSION(NB)

// Prototypes of functions in this extension
#include "functions.h"

// Declarations of classes in this extension
#include "array.h"
#include "bucket.h"
#include "dstring.h"
#include "list.h"
#include "stopwatch.h"
#include "vector.h"

// Stuff slated for eventual movement into oc extension
#include "evoc.h"
#include "errhandlers.h"

/* End includes */     // Optional directive to pimake

// Prototypes for the routines defined in nb.cc
int Nb_Init(Tcl_Interp *);

#endif /* _NB */

